Bug 16110 - [i915 XvMC] XvMCGetAttribute/XvMCSetAttribute should return 'BadMatch' for undefined attribute
Summary: [i915 XvMC] XvMCGetAttribute/XvMCSetAttribute should return 'BadMatch' for un...
Status: VERIFIED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Wang Zhenyu
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-26 22:30 UTC by Shuang He
Modified: 2009-01-18 21:19 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg conf (3.65 KB, text/plain)
2008-05-26 22:33 UTC, Shuang He
no flags Details
xorg log (33.52 KB, text/plain)
2008-05-26 22:33 UTC, Shuang He
no flags Details
test case (4.73 KB, text/plain)
2008-05-26 22:34 UTC, Shuang He
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shuang He 2008-05-26 22:30:56 UTC
System Environment:
--------------------------

--Platform: 945G


--2D driver:
commit 548d4c0f979a72eac5d0c9c76da12f0bd05e64e1 

--3D driver:
commit 990e010394a2685c1daeaef61cf4f7e2a0ba419e

--Xserver:
commit cf20df39cc78203d17b99223908af388ecbf7d0e 

--Drm
commit b44f2da380e78769b58c751e81f376f0fa1f48aa 

--Kernel:
2.6.23.1


Bug detailed description:
-------------------------
It seems XvMCSetAttribute/XvMCGetAttribute always return Success.
According to XvMC spec, for undefined attribute, it should return error 'BadMatch'



Reproduce steps:
----------------
1. enable XvMC in xorg.conf
2. start X
3. compile and run attached case



Current result:
----------------
XvMCSetAttribute/XvMCGetAttribute always return Success.


Expected result:
----------------
for undefined attribute, it should return error 'BadMatch'
Comment 1 Shuang He 2008-05-26 22:33:04 UTC
Created attachment 16753 [details]
xorg conf
Comment 2 Shuang He 2008-05-26 22:33:29 UTC
Created attachment 16754 [details]
xorg log
Comment 3 Shuang He 2008-05-26 22:34:42 UTC
Created attachment 16755 [details]
test case
Comment 4 Michael Fu 2008-11-25 20:48:28 UTC
We will not put further effort on XvMC for 915/945 platform.
Comment 5 Shuang He 2009-01-18 21:19:44 UTC
verified


bug/show.html.tmpl processed on Mar 23, 2017 at 02:11:28.
(provided by the Example extension).